Page MenuHomeFreeBSD

New Mk/Uses/lazarus.mk
ClosedPublic

Authored by acm on Mar 11 2018, 9:48 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acm created this revision.Mar 11 2018, 9:48 PM
Herald added a subscriber: mat. · View Herald Transcript
acm updated this revision to Diff 40183.Mar 11 2018, 9:58 PM
  • Remove fpc from USES. It is not committed yet
mat added inline comments.Mar 12 2018, 10:20 AM
Mk/Uses/lazarus.mk
72 ↗(On Diff #40183)

You cannot add to USES in a uses.

73–74 ↗(On Diff #40183)

You cannot add to variables used by other uses in a uses. Especially as they will run before this is ever executed.

acm marked 2 inline comments as done.Mar 12 2018, 3:16 PM
acm updated this revision to Diff 40196.
  • Remove USES/USE variables from lazarus.mk
mat added inline comments.Mar 12 2018, 3:54 PM
Mk/Uses/lazarus.mk
107–108 ↗(On Diff #40196)

maybe fold those two conditions on one line.

acm updated this revision to Diff 41073.Apr 4 2018, 6:48 AM
  • Prepare for USES=fpc support
acm updated this revision to Diff 41195.Apr 6 2018, 6:46 PM
  • Add FLAVORS support
  • Switch lazarus-based ports to FLAVORS
  • Other minor modifications
acm updated this revision to Diff 41205.Apr 6 2018, 8:37 PM
  • Add flavor_CONFLICTS_INSTALL
  • Other minor modifications
acm updated this revision to Diff 41229.Apr 7 2018, 1:05 PM
  • Add missing dependencies
acm added a comment.EditedApr 7 2018, 10:56 PM

poudriere logs on 11.1-amd64

https://people.freebsd.org/~acm/ports/logs/WinFF-gtk2-1.5.5_8.log
https://people.freebsd.org/~acm/ports/logs/WinFF-qt4-1.5.5_8.log
https://people.freebsd.org/~acm/ports/logs/coedit-gtk2-3.6.4.log
https://people.freebsd.org/~acm/ports/logs/coedit-qt4-3.6.4.log
https://people.freebsd.org/~acm/ports/logs/coedit-qt5-3.6.4.log
https://people.freebsd.org/~acm/ports/logs/cqrlog-gtk2-2.2.0_1.log
https://people.freebsd.org/~acm/ports/logs/cqrlog-qt4-2.2.0_1.log
https://people.freebsd.org/~acm/ports/logs/doublecmd-gtk2-0.8.2.log
https://people.freebsd.org/~acm/ports/logs/doublecmd-qt4-0.8.2.log
https://people.freebsd.org/~acm/ports/logs/lazarus-gtk2-1.8.2.log
https://people.freebsd.org/~acm/ports/logs/lazarus-qt4-1.8.2.log
https://people.freebsd.org/~acm/ports/logs/lazarus-qt5-1.8.2.log
https://people.freebsd.org/~acm/ports/logs/peazip-gtk2-6.5.1.log
https://people.freebsd.org/~acm/ports/logs/peazip-qt4-6.5.1.log
https://people.freebsd.org/~acm/ports/logs/peazip-qt5-6.5.1.log
https://people.freebsd.org/~acm/ports/logs/ru-emkatic-gtk2-0.36.log
https://people.freebsd.org/~acm/ports/logs/ru-emkatic-qt4-0.36.log
https://people.freebsd.org/~acm/ports/logs/ru-emkatic-qt5-0.36.log
https://people.freebsd.org/~acm/ports/logs/transmission-remote-gui-gtk2-5.14.0.log
https://people.freebsd.org/~acm/ports/logs/transmission-remote-gui-qt4-5.14.0.log
https://people.freebsd.org/~acm/ports/logs/transmission-remote-gui-qt5-5.14.0.log
https://people.freebsd.org/~acm/ports/logs/zcad-gtk2-0.9.8_1.log
https://people.freebsd.org/~acm/ports/logs/zcad-qt4-0.9.8_1.log

acm updated this revision to Diff 41246.Apr 8 2018, 1:13 AM
  • Add entries to MOVED file
  • Fix build of cqrlog-qt4
mat added inline comments.Apr 11 2018, 2:35 PM
MOVED
10255–10258 ↗(On Diff #41246)

The second field is where you tell software what to use instead.

archivers/peazip/Makefile
7 ↗(On Diff #41246)

I would prefer that you do as php or python flavors do, have USES=lazarus generate a LAZARUS_PKGNAMESUFFIX/PREFIX and use it in ports.

acm updated this revision to Diff 41383.Apr 11 2018, 9:44 PM
  • Fix MOVED
  • Respect DEBUG on x11-fm/doublecmd
  • Add LAZARUS_PKGNAMESUFFIX
acm marked 2 inline comments as done.Apr 11 2018, 9:45 PM
mat added inline comments.Apr 12 2018, 11:03 AM
archivers/peazip/Makefile
28–29 ↗(On Diff #41383)

Remove -*.

42 ↗(On Diff #41383)

This is always true.

acm updated this revision to Diff 41443.Apr 13 2018, 6:28 PM
  • Remove characters from flavor_CONFLICTS_INSTALL
  • Fix FLAVOR conditional into some ports
acm marked 2 inline comments as done.Apr 13 2018, 6:28 PM
acm updated this revision to Diff 41478.Apr 15 2018, 5:39 AM
  • Remove duplicate lines from Uses/lazarus.mk
acm added a comment.May 18 2018, 4:36 PM

any news about it?

mat accepted this revision.May 25 2018, 2:23 PM

This looks ok now. Sorry for the delay.

If there was an exp-run and it passed, feel free to commit it.

This revision is now accepted and ready to land.May 25 2018, 2:23 PM
This revision was automatically updated to reflect the committed changes.